# correlation-Name

A correlation-Name is given to a table expression in a FROM clause as a new name or alias for that table. You do not qualify a correlation-Name with a schema-Name.

You cannot use correlation-Names for updatable columns; using correlation-Names in this way will cause an SQL exception. For example:

    SELECT c11 AS col1, c12 AS col2, c13 FROM t1 FOR UPDATE of c11,c13

In this example, the correlation-Name `col1 FOR c11` is not permitted because `c11` is listed in the FOR UPDATE list of columns. You can use the correlation-Name `FOR c12` because it is not in the FOR UPDATE list.

#### Syntax

    SQL92Identifier

#### Example

    -- C is a correlation-Name
    SELECT C.NAME
    FROM SAMP.STAFF C

Parent topic: SQL identifiers